no display of layer loading progress in status bar in actual master

2018-02-11 04:50 PM - Jan Lippmann

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: Yes

Operating System: Win 7 64bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25969

Description

there is no display of layer loading progress in status bar while project loading. in qgis 2.18 is everything ok (like in the screenshot).
i hope this is no feature ;-)

Associated revisions

Revision f10758e1 - 2018-02-12 04:13 AM - Mathieu Pellerin - nIRV

partial revert of 5dc91b4 to fix regression (fixes #18073)

setMaximumHeight() stays, so hopefully we are still protected

from infinit canvas redraw loop.

History

#1 - 2018-02-12 01:33 AM - Mathieu Pellerin - nIRV

- Regression? changed from No to Yes

- Assignee set to Mathieu Pellerin - nIRV

#2 - 2018-02-12 03:44 AM - Mathieu Pellerin - nIRV

- Assignee deleted (Mathieu Pellerin - nIRV)

I thought this was a regression from my recent progress bar widget change (from show() hide() to setMaximumWidth()), but after looking into it, it seems to

be a different problem altogether.

While in QGIS 2.X you would see the layers being populated in the layers panel as those were being registered, it's not happening now, instead the whole

window freezes until the project is fully loaded (and since it's frozen, UI elements aren't updated, such as the progress bar).

Spoke too fast. Reverting the referred change does fix the regression. There must be something Qt does when calling ->show() on hidden widgets which

simply setting the maximum width doesn't trigger. Sigh

#3 - 2018-02-12 04:13 AM - Mathieu Pellerin - nIRV

- % Done changed from 0 to 100

- Status changed from Open to Closed
Applied in changeset commit:qgis|f10758e1b608f9020b920b3e55ca3c3e0cca7af1.

#4 - 2018-02-21 06:59 PM - Giovanni Manghi

- Resolution set to fixed/implemented
